Page MenuHomePhabricator

Add experimental blubber test build/run to mathoid jenkins test pipeline
Closed, ResolvedPublic

Description

Currently when a mathoid patch is submitted by a trusted user, the test npm-node-6-jessie is triggered. As part of the build pipeline project, we will likely want to replace that with a run of the test container built by Blubber. The first step for this is likely to create an experimental job that runs as part of test to build and run the blubber container. Once this test proves reliable and expedient then we can replace the existing npm-node-6-jessie job.

We should be mindful that we don't increase the average test pipeline time for mathoid as part of this process.

Details

Related Gerrit Patches:
mediawiki/services/mathoid : masterAdd blubber.yaml
integration/config : masterAdded trigger-service-pipeline jobs
integration/config : masterAdd service-pipeline-test-only experimental job

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 11 2017, 3:22 PM
thcipriani triaged this task as Medium priority.
thcipriani reassigned this task from thcipriani to dduvall.Oct 18 2017, 2:56 PM

@dduvall already has a good start here, reassigning.

Change 388546 had a related patch set uploaded (by Thcipriani; owner: Thcipriani):
[integration/config@master] SSD: Add npm-service-pipeline experimental job

https://gerrit.wikimedia.org/r/388546

Change 388546 merged by jenkins-bot:
[integration/config@master] Add service-pipeline-test-only experimental job

https://gerrit.wikimedia.org/r/388546

dduvall moved this task from Backlog to CI on the Release Pipeline board.Nov 6 2017, 6:16 PM
dduvall reassigned this task from dduvall to thcipriani.Nov 6 2017, 6:20 PM
dduvall claimed this task.Nov 6 2017, 6:38 PM

Change 391136 had a related patch set uploaded (by Dduvall; owner: Dduvall):
[integration/config@master] Added trigger-service-pipeline jobs

https://gerrit.wikimedia.org/r/391136

Change 391136 merged by jenkins-bot:
[integration/config@master] Added trigger-service-pipeline jobs

https://gerrit.wikimedia.org/r/391136

Change 392871 had a related patch set uploaded (by Thcipriani; owner: Thcipriani):
[mediawiki/services/mathoid@master] Add blubber.yaml

https://gerrit.wikimedia.org/r/392871

Change 392871 merged by jenkins-bot:
[mediawiki/services/mathoid@master] Add blubber.yaml

https://gerrit.wikimedia.org/r/392871

dduvall closed this task as Resolved.Dec 18 2017, 5:52 PM